## org.apache.batik.svggen.font.table
Class SingleSubstFormat1

    java.lang.Object
      org.apache.batik.svggen.font.table.LookupSubtable
          org.apache.batik.svggen.font.table.SingleSubst
              org.apache.batik.svggen.font.table.SingleSubstFormat1

public class SingleSubstFormat1
extends SingleSubst

Constructor Summary
`protected` `SingleSubstFormat1(java.io.RandomAccessFile raf, int offset)` Creates new SingleSubstFormat1

Method Summary
`int` `getFormat()`
`int` `substitute(int glyphId)`

Methods inherited from class org.apache.batik.svggen.font.table.SingleSubst
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleSubstFormat1

    protected SingleSubstFormat1(java.io.RandomAccessFile raf,
                                 int offset)
                          throws java.io.IOException

  Creates new SingleSubstFormat1

Method Detail

### getFormat

    public int getFormat()

  Specified by:
    `getFormat` in class `SingleSubst`

### substitute

    public int substitute(int glyphId)

  Specified by:
    `substitute` in class `SingleSubst`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.